Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.exception.util
Class DummyLocalizable

    java.lang.Object
      org.apache.commons.math3.exception.util.DummyLocalizable

All Implemented Interfaces:
  Serializable, Localizable

    public class DummyLocalizable

extends Object
implements Localizable

Dummy implementation of the `Localizable` interface, without localization.

Since:
  2.2
Version:
  $Id: DummyLocalizable.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Constructor Summary
`DummyLocalizable(String source)` Simple constructor.

Method Summary
`String` | `getLocalizedString(Locale locale)` Gets the localized string.
`String` | `getSourceString()` Gets the source (non-localized) string.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DummyLocalizable

    public DummyLocalizable(String source)

  Simple constructor.

  Parameters:
    `source` - source text

Method Detail

### getSourceString

    public String getSourceString()

  Gets the source (non-localized) string.

  Specified by:
    `getSourceString` in interface `Localizable`
  Returns:
    the source string.

### getLocalizedString

    public String getLocalizedString(Locale locale)

  Gets the localized string.

  Specified by:
    `getLocalizedString` in interface `Localizable`
  Parameters:
    `locale` - locale into which to get the string.
  Returns:
    the localized string or the source string if no localized version is available.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.